deprecated

  use `Mocha.Suite` instead.

### Hierarchy

- ISuite

## Index

### Properties

- ctx
- parent
- root
- suites
- tests
- title

### Methods

- bail
- fullTitle
- retries
- slow
- timeout

## Properties

### ctx

ctx: IContext

- Defined in node_modules/@types/mocha/index.d.ts:2518

deprecated

  `.ctx` has type `Mocha.Context` in `Mocha.Suite`.

### parent

parent: ISuite | undefined

- Defined in node_modules/@types/mocha/index.d.ts:2520

deprecated

  `.parent` has type `Mocha.Suite | undefined` in `Mocha.Suite`.

### root

root: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2521

### suites

suites: ISuite[]

- Defined in node_modules/@types/mocha/index.d.ts:2524

deprecated

  `.suites` has type `Mocha.Suite[]` in `Mocha.Suite`.

### tests

tests: ITest[]

- Defined in node_modules/@types/mocha/index.d.ts:2526

deprecated

  `.tests` has type `Mocha.Test[]` in `Mocha.Suite`.

### title

title: string

- Defined in node_modules/@types/mocha/index.d.ts:2522

## Methods

### bail

- bail(): boolean
- bail(bail: boolean): ISuite

- - Defined in node_modules/@types/mocha/index.d.ts:2528

  #### Returns boolean

- - Defined in node_modules/@types/mocha/index.d.ts:2530
  deprecated

    `.bail()` returns `this` in `Mocha.Suite`.

  #### Parameters

  - ##### bail: boolean

  #### Returns ISuite

### fullTitle

- fullTitle(): string

- - Defined in node_modules/@types/mocha/index.d.ts:2531

  #### Returns string

### retries

- retries(): number
- retries(retries: number): ISuite

- - Defined in node_modules/@types/mocha/index.d.ts:2532

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:2534
  deprecated

    `.retries()` returns `this` in `Mocha.Suite`.

  #### Parameters

  - ##### retries: number

  #### Returns ISuite

### slow

- slow(): number
- slow(slow: number): ISuite

- - Defined in node_modules/@types/mocha/index.d.ts:2535

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:2537
  deprecated

    `.slow()` returns `this` in `Mocha.Suite`.

  #### Parameters

  - ##### slow: number

  #### Returns ISuite

### timeout

- timeout(): number
- timeout(timeout: number): ISuite

- - Defined in node_modules/@types/mocha/index.d.ts:2538

  #### Returns number

- - Defined in node_modules/@types/mocha/index.d.ts:2540
  deprecated

    `.timeout()` returns `this` in `Mocha.Suite`.

  #### Parameters

  - ##### timeout: number

  #### Returns ISuite

Generated using TypeDoc